package com.mortals.xhx.module.window.model;

import java.util.List;
import com.mortals.xhx.module.window.model.WindowOwnerEntity;
/**
 * 窗口负责人查询对象
 *
 * @author zxfei
 * @date 2024-04-26
 */
public class WindowOwnerQuery extends WindowOwnerEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 部门id号 */
    private Long deptIdStart;

    /** 结束 部门id号 */
    private Long deptIdEnd;

    /** 增加 部门id号 */
    private Long deptIdIncrement;

    /** 部门id号列表 */
    private List <Long> deptIdList;

    /** 部门id号排除列表 */
    private List <Long> deptIdNotList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 所属大厅 */
    private Long salaIdStart;

    /** 结束 所属大厅 */
    private Long salaIdEnd;

    /** 增加 所属大厅 */
    private Long salaIdIncrement;

    /** 所属大厅列表 */
    private List <Long> salaIdList;

    /** 所属大厅排除列表 */
    private List <Long> salaIdNotList;

    /** 所属大厅名称 */
    private List<String> salaNameList;

    /** 所属大厅名称排除列表 */
    private List <String> salaNameNotList;
    /** 开始 窗口负责人id */
    private Long staffIdStart;

    /** 结束 窗口负责人id */
    private Long staffIdEnd;

    /** 增加 窗口负责人id */
    private Long staffIdIncrement;

    /** 窗口负责人id列表 */
    private List <Long> staffIdList;

    /** 窗口负责人id排除列表 */
    private List <Long> staffIdNotList;

    /** 窗口负责人名称 */
    private List<String> staffNameList;

    /** 窗口负责人名称排除列表 */
    private List <String> staffNameNotList;
    /** 工号 */
    private List<String> numberList;

    /** 工号排除列表 */
    private List <String> numberNotList;
    /** 电话号码 */
    private List<String> phoneList;

    /** 电话号码排除列表 */
    private List <String> phoneNotList;
    /** 开始 负责窗口数量 */
    private Integer windowCountStart;

    /** 结束 负责窗口数量 */
    private Integer windowCountEnd;

    /** 增加 负责窗口数量 */
    private Integer windowCountIncrement;

    /** 负责窗口数量列表 */
    private List <Integer> windowCountList;

    /** 负责窗口数量排除列表 */
    private List <Integer> windowCountNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 开始 角色类型（首席代表，运维，审核，其他） */
    private Integer roleTypeStart;

    /** 结束 角色类型（首席代表，运维，审核，其他） */
    private Integer roleTypeEnd;

    /** 增加 角色类型（首席代表，运维，审核，其他） */
    private Integer roleTypeIncrement;

    /** 角色类型（首席代表，运维，审核，其他）列表 */
    private List <Integer> roleTypeList;

    /** 角色类型（首席代表，运维，审核，其他）排除列表 */
    private List <Integer> roleTypeNotList;

    /** 开始 是否允许巡检 */
    private Integer inspectStart;

    /** 结束 是否允许巡检 */
    private Integer inspectEnd;

    /** 增加 是否允许巡检 */
    private Integer inspectIncrement;

    /** 是否允许巡检列表 */
    private List <Integer> inspectList;

    /** 是否允许巡检排除列表 */
    private List <Integer> inspectNotList;

    /** 管辖人员 */
    private List<String> staffIdsList;

    /** 管辖人员排除列表 */
    private List <String> staffIdsNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WindowOwnerQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WindowOwnerQuery> andConditionList;

    public WindowOwnerQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 部门id号
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 部门id号
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 部门id号
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 部门id号
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 部门id号
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 部门id号
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 部门id号
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 部门id号
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 部门id号
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 部门id号
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 开始 所属大厅
     * @return salaIdStart
     */
    public Long getSalaIdStart(){
        return this.salaIdStart;
    }

    /**
     * 设置 开始 所属大厅
     * @param salaIdStart
     */
    public void setSalaIdStart(Long salaIdStart){
        this.salaIdStart = salaIdStart;
    }

    /**
     * 获取 结束 所属大厅
     * @return $salaIdEnd
     */
    public Long getSalaIdEnd(){
        return this.salaIdEnd;
    }

    /**
     * 设置 结束 所属大厅
     * @param salaIdEnd
     */
    public void setSalaIdEnd(Long salaIdEnd){
        this.salaIdEnd = salaIdEnd;
    }

    /**
     * 获取 增加 所属大厅
     * @return salaIdIncrement
     */
    public Long getSalaIdIncrement(){
        return this.salaIdIncrement;
    }

    /**
     * 设置 增加 所属大厅
     * @param salaIdIncrement
     */
    public void setSalaIdIncrement(Long salaIdIncrement){
        this.salaIdIncrement = salaIdIncrement;
    }

    /**
     * 获取 所属大厅
     * @return salaIdList
     */
    public List<Long> getSalaIdList(){
        return this.salaIdList;
    }

    /**
     * 设置 所属大厅
     * @param salaIdList
     */
    public void setSalaIdList(List<Long> salaIdList){
        this.salaIdList = salaIdList;
    }

    /**
     * 获取 所属大厅
     * @return salaIdNotList
     */
    public List<Long> getSalaIdNotList(){
        return this.salaIdNotList;
    }

    /**
     * 设置 所属大厅
     * @param salaIdNotList
     */
    public void setSalaIdNotList(List<Long> salaIdNotList){
        this.salaIdNotList = salaIdNotList;
    }


    /**
     * 获取 所属大厅名称
     * @return salaNameList
     */
    public List<String> getSalaNameList(){
        return this.salaNameList;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameList
     */
    public void setSalaNameList(List<String> salaNameList){
        this.salaNameList = salaNameList;
    }

    /**
     * 获取 所属大厅名称
     * @return salaNameNotList
     */
    public List<String> getSalaNameNotList(){
        return this.salaNameNotList;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameNotList
     */
    public void setSalaNameNotList(List<String> salaNameNotList){
        this.salaNameNotList = salaNameNotList;
    }

    /**
     * 获取 开始 窗口负责人id
     * @return staffIdStart
     */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
     * 设置 开始 窗口负责人id
     * @param staffIdStart
     */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
     * 获取 结束 窗口负责人id
     * @return $staffIdEnd
     */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
     * 设置 结束 窗口负责人id
     * @param staffIdEnd
     */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
     * 获取 增加 窗口负责人id
     * @return staffIdIncrement
     */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
     * 设置 增加 窗口负责人id
     * @param staffIdIncrement
     */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
     * 获取 窗口负责人id
     * @return staffIdList
     */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
     * 设置 窗口负责人id
     * @param staffIdList
     */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
     * 获取 窗口负责人id
     * @return staffIdNotList
     */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
     * 设置 窗口负责人id
     * @param staffIdNotList
     */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
     * 获取 窗口负责人名称
     * @return staffNameList
     */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
     * 设置 窗口负责人名称
     * @param staffNameList
     */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
     * 获取 窗口负责人名称
     * @return staffNameNotList
     */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
     * 设置 窗口负责人名称
     * @param staffNameNotList
     */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
     * 获取 工号
     * @return numberList
     */
    public List<String> getNumberList(){
        return this.numberList;
    }

    /**
     * 设置 工号
     * @param numberList
     */
    public void setNumberList(List<String> numberList){
        this.numberList = numberList;
    }

    /**
     * 获取 工号
     * @return numberNotList
     */
    public List<String> getNumberNotList(){
        return this.numberNotList;
    }

    /**
     * 设置 工号
     * @param numberNotList
     */
    public void setNumberNotList(List<String> numberNotList){
        this.numberNotList = numberNotList;
    }

    /**
     * 获取 电话号码
     * @return phoneList
     */
    public List<String> getPhoneList(){
        return this.phoneList;
    }

    /**
     * 设置 电话号码
     * @param phoneList
     */
    public void setPhoneList(List<String> phoneList){
        this.phoneList = phoneList;
    }

    /**
     * 获取 电话号码
     * @return phoneNotList
     */
    public List<String> getPhoneNotList(){
        return this.phoneNotList;
    }

    /**
     * 设置 电话号码
     * @param phoneNotList
     */
    public void setPhoneNotList(List<String> phoneNotList){
        this.phoneNotList = phoneNotList;
    }

    /**
     * 获取 开始 负责窗口数量
     * @return windowCountStart
     */
    public Integer getWindowCountStart(){
        return this.windowCountStart;
    }

    /**
     * 设置 开始 负责窗口数量
     * @param windowCountStart
     */
    public void setWindowCountStart(Integer windowCountStart){
        this.windowCountStart = windowCountStart;
    }

    /**
     * 获取 结束 负责窗口数量
     * @return $windowCountEnd
     */
    public Integer getWindowCountEnd(){
        return this.windowCountEnd;
    }

    /**
     * 设置 结束 负责窗口数量
     * @param windowCountEnd
     */
    public void setWindowCountEnd(Integer windowCountEnd){
        this.windowCountEnd = windowCountEnd;
    }

    /**
     * 获取 增加 负责窗口数量
     * @return windowCountIncrement
     */
    public Integer getWindowCountIncrement(){
        return this.windowCountIncrement;
    }

    /**
     * 设置 增加 负责窗口数量
     * @param windowCountIncrement
     */
    public void setWindowCountIncrement(Integer windowCountIncrement){
        this.windowCountIncrement = windowCountIncrement;
    }

    /**
     * 获取 负责窗口数量
     * @return windowCountList
     */
    public List<Integer> getWindowCountList(){
        return this.windowCountList;
    }

    /**
     * 设置 负责窗口数量
     * @param windowCountList
     */
    public void setWindowCountList(List<Integer> windowCountList){
        this.windowCountList = windowCountList;
    }

    /**
     * 获取 负责窗口数量
     * @return windowCountNotList
     */
    public List<Integer> getWindowCountNotList(){
        return this.windowCountNotList;
    }

    /**
     * 设置 负责窗口数量
     * @param windowCountNotList
     */
    public void setWindowCountNotList(List<Integer> windowCountNotList){
        this.windowCountNotList = windowCountNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 角色类型（首席代表，运维，审核，其他）
     * @return roleTypeStart
     */
    public Integer getRoleTypeStart(){
        return this.roleTypeStart;
    }

    /**
     * 设置 开始 角色类型（首席代表，运维，审核，其他）
     * @param roleTypeStart
     */
    public void setRoleTypeStart(Integer roleTypeStart){
        this.roleTypeStart = roleTypeStart;
    }

    /**
     * 获取 结束 角色类型（首席代表，运维，审核，其他）
     * @return $roleTypeEnd
     */
    public Integer getRoleTypeEnd(){
        return this.roleTypeEnd;
    }

    /**
     * 设置 结束 角色类型（首席代表，运维，审核，其他）
     * @param roleTypeEnd
     */
    public void setRoleTypeEnd(Integer roleTypeEnd){
        this.roleTypeEnd = roleTypeEnd;
    }

    /**
     * 获取 增加 角色类型（首席代表，运维，审核，其他）
     * @return roleTypeIncrement
     */
    public Integer getRoleTypeIncrement(){
        return this.roleTypeIncrement;
    }

    /**
     * 设置 增加 角色类型（首席代表，运维，审核，其他）
     * @param roleTypeIncrement
     */
    public void setRoleTypeIncrement(Integer roleTypeIncrement){
        this.roleTypeIncrement = roleTypeIncrement;
    }

    /**
     * 获取 角色类型（首席代表，运维，审核，其他）
     * @return roleTypeList
     */
    public List<Integer> getRoleTypeList(){
        return this.roleTypeList;
    }

    /**
     * 设置 角色类型（首席代表，运维，审核，其他）
     * @param roleTypeList
     */
    public void setRoleTypeList(List<Integer> roleTypeList){
        this.roleTypeList = roleTypeList;
    }

    /**
     * 获取 角色类型（首席代表，运维，审核，其他）
     * @return roleTypeNotList
     */
    public List<Integer> getRoleTypeNotList(){
        return this.roleTypeNotList;
    }

    /**
     * 设置 角色类型（首席代表，运维，审核，其他）
     * @param roleTypeNotList
     */
    public void setRoleTypeNotList(List<Integer> roleTypeNotList){
        this.roleTypeNotList = roleTypeNotList;
    }


    /**
     * 获取 开始 是否允许巡检
     * @return inspectStart
     */
    public Integer getInspectStart(){
        return this.inspectStart;
    }

    /**
     * 设置 开始 是否允许巡检
     * @param inspectStart
     */
    public void setInspectStart(Integer inspectStart){
        this.inspectStart = inspectStart;
    }

    /**
     * 获取 结束 是否允许巡检
     * @return $inspectEnd
     */
    public Integer getInspectEnd(){
        return this.inspectEnd;
    }

    /**
     * 设置 结束 是否允许巡检
     * @param inspectEnd
     */
    public void setInspectEnd(Integer inspectEnd){
        this.inspectEnd = inspectEnd;
    }

    /**
     * 获取 增加 是否允许巡检
     * @return inspectIncrement
     */
    public Integer getInspectIncrement(){
        return this.inspectIncrement;
    }

    /**
     * 设置 增加 是否允许巡检
     * @param inspectIncrement
     */
    public void setInspectIncrement(Integer inspectIncrement){
        this.inspectIncrement = inspectIncrement;
    }

    /**
     * 获取 是否允许巡检
     * @return inspectList
     */
    public List<Integer> getInspectList(){
        return this.inspectList;
    }

    /**
     * 设置 是否允许巡检
     * @param inspectList
     */
    public void setInspectList(List<Integer> inspectList){
        this.inspectList = inspectList;
    }

    /**
     * 获取 是否允许巡检
     * @return inspectNotList
     */
    public List<Integer> getInspectNotList(){
        return this.inspectNotList;
    }

    /**
     * 设置 是否允许巡检
     * @param inspectNotList
     */
    public void setInspectNotList(List<Integer> inspectNotList){
        this.inspectNotList = inspectNotList;
    }


    /**
     * 获取 管辖人员
     * @return staffIdsList
     */
    public List<String> getStaffIdsList(){
        return this.staffIdsList;
    }

    /**
     * 设置 管辖人员
     * @param staffIdsList
     */
    public void setStaffIdsList(List<String> staffIdsList){
        this.staffIdsList = staffIdsList;
    }

    /**
     * 获取 管辖人员
     * @return staffIdsNotList
     */
    public List<String> getStaffIdsNotList(){
        return this.staffIdsNotList;
    }

    /**
     * 设置 管辖人员
     * @param staffIdsNotList
     */
    public void setStaffIdsNotList(List<String> staffIdsNotList){
        this.staffIdsNotList = staffIdsNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public WindowOwnerQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public WindowOwnerQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public WindowOwnerQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public WindowOwnerQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public WindowOwnerQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public WindowOwnerQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  部门id号
     * @param deptId
     */
    public WindowOwnerQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 部门id号
     * @param deptIdStart
     */
    public WindowOwnerQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 部门id号
     * @param deptIdEnd
     */
    public WindowOwnerQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 部门id号
     * @param deptIdIncrement
     */
    public WindowOwnerQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 部门id号
     * @param deptIdList
     */
    public WindowOwnerQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 部门id号
     * @param deptIdNotList
     */
    public WindowOwnerQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param deptName
     */
    public WindowOwnerQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public WindowOwnerQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 设置  所属大厅
     * @param salaId
     */
    public WindowOwnerQuery salaId(Long salaId){
        setSalaId(salaId);
        return this;
    }

    /**
     * 设置 开始 所属大厅
     * @param salaIdStart
     */
    public WindowOwnerQuery salaIdStart(Long salaIdStart){
        this.salaIdStart = salaIdStart;
        return this;
    }

    /**
     * 设置 结束 所属大厅
     * @param salaIdEnd
     */
    public WindowOwnerQuery salaIdEnd(Long salaIdEnd){
        this.salaIdEnd = salaIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属大厅
     * @param salaIdIncrement
     */
    public WindowOwnerQuery salaIdIncrement(Long salaIdIncrement){
        this.salaIdIncrement = salaIdIncrement;
        return this;
    }

    /**
     * 设置 所属大厅
     * @param salaIdList
     */
    public WindowOwnerQuery salaIdList(List<Long> salaIdList){
        this.salaIdList = salaIdList;
        return this;
    }

    /**
     * 设置 所属大厅
     * @param salaIdNotList
     */
    public WindowOwnerQuery salaIdNotList(List<Long> salaIdNotList){
        this.salaIdNotList = salaIdNotList;
        return this;
    }


    /**
     * 设置 所属大厅名称
     * @param salaName
     */
    public WindowOwnerQuery salaName(String salaName){
        setSalaName(salaName);
        return this;
    }

    /**
     * 设置 所属大厅名称
     * @param salaNameList
     */
    public WindowOwnerQuery salaNameList(List<String> salaNameList){
        this.salaNameList = salaNameList;
        return this;
    }

    /**
     * 设置  窗口负责人id
     * @param staffId
     */
    public WindowOwnerQuery staffId(Long staffId){
        setStaffId(staffId);
        return this;
    }

    /**
     * 设置 开始 窗口负责人id
     * @param staffIdStart
     */
    public WindowOwnerQuery staffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
        return this;
    }

    /**
     * 设置 结束 窗口负责人id
     * @param staffIdEnd
     */
    public WindowOwnerQuery staffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
        return this;
    }

    /**
     * 设置 增加 窗口负责人id
     * @param staffIdIncrement
     */
    public WindowOwnerQuery staffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
        return this;
    }

    /**
     * 设置 窗口负责人id
     * @param staffIdList
     */
    public WindowOwnerQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
        return this;
    }

    /**
     * 设置 窗口负责人id
     * @param staffIdNotList
     */
    public WindowOwnerQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
    }


    /**
     * 设置 窗口负责人名称
     * @param staffName
     */
    public WindowOwnerQuery staffName(String staffName){
        setStaffName(staffName);
        return this;
    }

    /**
     * 设置 窗口负责人名称
     * @param staffNameList
     */
    public WindowOwnerQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
        return this;
    }


    /**
     * 设置 工号
     * @param number
     */
    public WindowOwnerQuery number(String number){
        setNumber(number);
        return this;
    }

    /**
     * 设置 工号
     * @param numberList
     */
    public WindowOwnerQuery numberList(List<String> numberList){
        this.numberList = numberList;
        return this;
    }


    /**
     * 设置 电话号码
     * @param phone
     */
    public WindowOwnerQuery phone(String phone){
        setPhone(phone);
        return this;
    }

    /**
     * 设置 电话号码
     * @param phoneList
     */
    public WindowOwnerQuery phoneList(List<String> phoneList){
        this.phoneList = phoneList;
        return this;
    }

    /**
     * 设置  负责窗口数量
     * @param windowCount
     */
    public WindowOwnerQuery windowCount(Integer windowCount){
        setWindowCount(windowCount);
        return this;
    }

    /**
     * 设置 开始 负责窗口数量
     * @param windowCountStart
     */
    public WindowOwnerQuery windowCountStart(Integer windowCountStart){
        this.windowCountStart = windowCountStart;
        return this;
    }

    /**
     * 设置 结束 负责窗口数量
     * @param windowCountEnd
     */
    public WindowOwnerQuery windowCountEnd(Integer windowCountEnd){
        this.windowCountEnd = windowCountEnd;
        return this;
    }

    /**
     * 设置 增加 负责窗口数量
     * @param windowCountIncrement
     */
    public WindowOwnerQuery windowCountIncrement(Integer windowCountIncrement){
        this.windowCountIncrement = windowCountIncrement;
        return this;
    }

    /**
     * 设置 负责窗口数量
     * @param windowCountList
     */
    public WindowOwnerQuery windowCountList(List<Integer> windowCountList){
        this.windowCountList = windowCountList;
        return this;
    }

    /**
     * 设置 负责窗口数量
     * @param windowCountNotList
     */
    public WindowOwnerQuery windowCountNotList(List<Integer> windowCountNotList){
        this.windowCountNotList = windowCountNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public WindowOwnerQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public WindowOwnerQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public WindowOwnerQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public WindowOwnerQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public WindowOwnerQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public WindowOwnerQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public WindowOwnerQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public WindowOwnerQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }

    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public WindowOwnerQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public WindowOwnerQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public WindowOwnerQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public WindowOwnerQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public WindowOwnerQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public WindowOwnerQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  角色类型（首席代表，运维，审核，其他）
     * @param roleType
     */
    public WindowOwnerQuery roleType(Integer roleType){
        setRoleType(roleType);
        return this;
    }

    /**
     * 设置 开始 角色类型（首席代表，运维，审核，其他）
     * @param roleTypeStart
     */
    public WindowOwnerQuery roleTypeStart(Integer roleTypeStart){
        this.roleTypeStart = roleTypeStart;
        return this;
    }

    /**
     * 设置 结束 角色类型（首席代表，运维，审核，其他）
     * @param roleTypeEnd
     */
    public WindowOwnerQuery roleTypeEnd(Integer roleTypeEnd){
        this.roleTypeEnd = roleTypeEnd;
        return this;
    }

    /**
     * 设置 增加 角色类型（首席代表，运维，审核，其他）
     * @param roleTypeIncrement
     */
    public WindowOwnerQuery roleTypeIncrement(Integer roleTypeIncrement){
        this.roleTypeIncrement = roleTypeIncrement;
        return this;
    }

    /**
     * 设置 角色类型（首席代表，运维，审核，其他）
     * @param roleTypeList
     */
    public WindowOwnerQuery roleTypeList(List<Integer> roleTypeList){
        this.roleTypeList = roleTypeList;
        return this;
    }

    /**
     * 设置 角色类型（首席代表，运维，审核，其他）
     * @param roleTypeNotList
     */
    public WindowOwnerQuery roleTypeNotList(List<Integer> roleTypeNotList){
        this.roleTypeNotList = roleTypeNotList;
        return this;
    }

    /**
     * 设置  是否允许巡检
     * @param inspect
     */
    public WindowOwnerQuery inspect(Integer inspect){
        setInspect(inspect);
        return this;
    }

    /**
     * 设置 开始 是否允许巡检
     * @param inspectStart
     */
    public WindowOwnerQuery inspectStart(Integer inspectStart){
        this.inspectStart = inspectStart;
        return this;
    }

    /**
     * 设置 结束 是否允许巡检
     * @param inspectEnd
     */
    public WindowOwnerQuery inspectEnd(Integer inspectEnd){
        this.inspectEnd = inspectEnd;
        return this;
    }

    /**
     * 设置 增加 是否允许巡检
     * @param inspectIncrement
     */
    public WindowOwnerQuery inspectIncrement(Integer inspectIncrement){
        this.inspectIncrement = inspectIncrement;
        return this;
    }

    /**
     * 设置 是否允许巡检
     * @param inspectList
     */
    public WindowOwnerQuery inspectList(List<Integer> inspectList){
        this.inspectList = inspectList;
        return this;
    }

    /**
     * 设置 是否允许巡检
     * @param inspectNotList
     */
    public WindowOwnerQuery inspectNotList(List<Integer> inspectNotList){
        this.inspectNotList = inspectNotList;
        return this;
    }


    /**
     * 设置 管辖人员
     * @param staffIds
     */
    public WindowOwnerQuery staffIds(String staffIds){
        setStaffIds(staffIds);
        return this;
    }

    /**
     * 设置 管辖人员
     * @param staffIdsList
     */
    public WindowOwnerQuery staffIdsList(List<String> staffIdsList){
        this.staffIdsList = staffIdsList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<WindowOwnerQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<WindowOwnerQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<WindowOwnerQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<WindowOwnerQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}